package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderActivity;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupPaymentCalenderActivityDao extends BaseDAO<Long, MusicGroupPaymentCalenderActivity> {

    void insertBatch(@Param("calenderActivityList") List<MusicGroupPaymentCalenderActivity> musicGroupPaymentCalenderActivities);

    void delByCalenderId(@Param("calenderId") Long calenderId);

    List<MusicGroupPaymentCalenderActivity> findByCalenderId(Long calenderId);

    List<MusicGroupPaymentCalenderActivity> findByIds(@Param("activityIdList") List<Long> buyCalenderActivityIdList);

    List<MusicGroupPaymentCalenderActivity> findByActivityIds(@Param("activityIdList") List<Long> buyCalenderActivityIdList,@Param("calenderId") Long calenderId);
}